DNF5-REPOQUERY(8)

BEZEICHNUNG
dnf5-repoquery - Repoquery-Befehl

ÜBERSICHT

dnf5 repoquery [Optionen] [Paketangabe-NIF …]

BESCHREIBUNG

Der Befehl repoquery in DNF5 dient zum Abfragen von Paketen durch Abgleichen verschiedener Eingabekriterien des Benutzers. Die in der Paketangabe-Liste definierten Argumente werden als Paketdateiangabe verwendet.

OPTIONEN

    --advisories=HINWEISNAME, …
        schließt Inhalte aus Hinweisen mit dem angegebenen Namen ein. Dies ist eine Listenoption. Erwartete Werte sind Hinweis-IDs, z. B. FEDORA-2201-123. Jeder Transaktionsbefehl (Installation, Aktualisierung) schlägt mit einer Fehlermeldung fehl, wenn kein Hinweis in der Liste vorhanden ist. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --advisory-severities=HINWEIS-SCHWEREGRAD, …
        schließt Inhalte aus Hinweisen mit dem angegebenem Schweregrad ein. Dies ist eine Listenoption. Zulässige Werte: critical, important, moderate, low, none.

    --arch=ARCHITEKTUR, …
        begrenzt die Pakete auf die angegebene(n) Architektur(en). Dies ist eine Listenoption.

    --available
        fragt verfügbare Pakete ab. Dies ist das Standardverhalten. Dies kann mit --installed kombiniert werden, um sowohl installierte als auch verfügbare Pakete abzufragen.

    --bugfix
        schließt Inhalte ein, die in Fehlerkorrektur-Hinweisen enthalten sind.

    --bzs=BUGZILLA_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket der angegebenen Bugzilla-ID korrigieren. Dies ist eine Listenoption. Erwartete Werte sind numerische IDs, zum Beispiel 123123. Jeder Transaktionsbefehl (Installation, Aktualisierung) wird mit einer Fehlermeldung fehlschlagen, falls es keinen Hinweis gibt, der das angegebene Ticket korrigiert. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --cves=CVE_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket mit der angegebenen CVE-ID (Common Vulnerabilities and Exposures) beheben. Dies ist eine Listenoption. Erwartete Werte sind Zeichenketten-IDs im CVE-Format, z.B. CVE-2201-0123. Alle Transaktionsbefehle (Installation, Aktualisierung) schlagen mit einer Fehlermeldung fehl, wenn kein Hinweis zur Korrektur des betreffenden Tickets vorliegt. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --disable-modular-filtering
        schließt Pakete aus inaktiven Modul-Streams ein.

    --duplicates
        begrenzt auf installierte doppelte Pakete (d.h. mehrere Paketversionen mit gleichem Namen und gleicher Architektur). Installonly-Pakete sind von dieser Gruppe ausgeschlossen.

    --enhancement
        schließt Inhalte ein, die in Verbesserungs-Hinweisen enthalten sind.

    --exactdeps
        begrenzt auf Pakete, die die angegebene Fähigkeit erfordern, angegeben durch --whatrequires oder --whatdepends. Diese Option ist nur mit --whatrequires oder --whatdepends kombinierbar.

    --extras
        begrenzt auf installierte Pakete, die in keiner der verfügbaren Paketquellen vorhanden sind.

    -f, --file=DATEI, …
        begrenzt auf Pakete, zu denen die angegebenen Dateien gehören. Dies ist eine Listenoption.

    --installed
        fragt installierte Pakete ab. Dies kann mit --available kombiniert werden, um sowohl installierte als auch verfügbare Pakete abzufragen.

    --installed-from=PAKETQUELLEN-ID, …
        filtert installierte Pakete nach der ID der Paketquelle, aus der sie installiert wurden.

    --installonly
        begrenzt auf installierte installonly-Pakete.

    --latest-limit=N
        begrenzt auf N neueste Pakete für eine bestimmte Name.Architektur-Kombination (oder alle außer N neueste, wenn N negativ ist).

    --leaves
        begrenzt auf Gruppen installierter Pakete, die nicht von anderen installierten Paketen benötigt werden.

    --newpackage
        schließt Inhalte ein, die in Neupaket-Hinweisen enthalten sind.

    --providers-of=PAKETATTRIBUT
        Nach Abschluss der Filterung werden ausgewählte Paketattribute abgerufen und Pakete ausgegeben, die diese bereitstellen. Die ausgegebenen Pakete werden durch die Optionen --available, --installed und --arch eingeschränkt. Unterstützt werden: conflicts (Konflikte), depends (Abhängigkeiten), enhances (Verbesserungen), obsoletes (veraltet), provides (Bereitstellungen), recommends (Empfehlungen), requires (Erfordert), requires_pre (Erfordert vor der Installation), suggests (Vorschläge), supplements (Ergänzungen).

    --recent
        begrenzt auf Pakete, die kürzlich geändert wurden.

    --recursive
        Diese Option ist nur mit --whatrequires oder --providers-of=Erfordernisse kombinierbar. Bei Verwendung mit --whatrequires erweitert sie die Ausgabe um Pakete, die etwas von den bereitgestellten Komponenten der ausgegebenen Pakete benötigen. Bei Verwendung mit --providers-of=Erfordernisse erweitert sie die Ausgabe um Pakete, die etwas von den benötigten Komponenten derr ausgegebenen Pakete bereitstellen. Die Ausgabeerweiterung wird wiederholt, solange neue Pakete hinzugefügt werden. Die Menge der hinzugefügten Pakete wird durch die Optionen --available, --installed und --arch begrenzt.

    --security
        schließt Inhalte ein, die in Sicherheitshinweisen enthalten sind.

    --srpm
        Nach Abschluss der Filterung werden Paketen entsprechende Quell-RPMs für die Ausgabe verwendet. Aktiviert Quell-Paketquellen.

    --unneeded
        begrenzt auf nicht benötigte installierte Pakete (d.h. Pakete, die als Abhängigkeiten installiert wurden, aber nicht mehr benötigt werden). Dieser Schalter listet Pakete auf, die nach der Ausführung des Befehls autoremove entfernt werden.

    --upgrades
        begrenzt auf verfügbare Pakete, die eine Aktualisierung für bereits installierte Pakete bereitstelleen.

    --userinstalled
        begrenzt auf Pakete, die nicht als Abhängigkeiten oder weiche Abhängigkeiten installiert sind. Dies bedeutet eine Beschränkung auf Pakete, die auf Benutzeranforderung oder indirekt als Teil eines Modulprofils oder einer Comps-Gruppe installiert wurden. Zusätzlich werden Pakete mit unbekanntem Installationsgrund zurückgegeben. Das Ergebnis kann durch die Option exclude in der Konfigurationsdatei beeinflusst werden. Um den genauen Installationsgrund zu ermitteln, verwenden Sie die Option --queryformat '%{name} %{reason}\n'.

    --whatconflicts=FÄHIGKEIT, …
        begrenzt auf Pakete, die mit irgendeiner der Fähigkeiten kollidieren. Dies ist eine Listenoption.

    --whatdepends=FÄHIGKEIT, …
        begrenzt auf Pakete, die eine der Fähigkeiten erfordern, verbessern, empfehlen, vorschlagen oder ergänzen. Dies ist eine Listenoption.

    --whatenhances=FÄHIGKEIT, …
        begrenzt auf Pakete, die eine der Fähigkeiten verbessern. Mit --whatdepends erhalten Sie eine Liste aller abhängigen Pakete. Dies ist eine Listenoption.

    --whatobsoletes=FÄHIGKEIT, …
        begrenzt auf Pakete, die irgendeine der Fähigkeiten als veraltet markieren. Dies ist eine Listenoption.

    --whatprovides=FÄHIGKEIT, …
        begrenzt auf Pakete, die irgendeine der Fähigkeiten bereitstellen. Fähigkeiten, die eine Dateibereitstellung bezeichnen, werden auch gegen Datei-Bereitstellungen abgeglichen. Dies ist eine Listenoption.

    --whatrecommends=FÄHIGKEIT, …
        begrenzt auf Pakete, die eine der Fähigkeiten empfehlen. Mit --whatdepends erhalten Sie eine Liste aller abhängigen Pakete. Dies ist eine Listenoption.

    --whatrequires=FÄHIGKEIT, …
        begrenzt auf Pakete, die eine der Fähigkeiten erfordern. Mit --whatdepends erhalten Sie eine Liste aller abhängigen Pakete. Dies ist eine Listenoption.

    --whatsuggests=FÄHIGKEIT, …
        begrenzt auf Pakete, die eine der Fähigkeiten vorschlagen. Mit --whatdepends erhalten Sie eine Liste aller abhängigen Pakete. Dies ist eine Listenoption.

    --whatsupplements=FÄHIGKEIT, …
        begrenzt auf Pakete, die eine der Fähigkeiten ergänzen. Mit --whatdepends erhalten Sie eine Liste aller abhängigen Pakete. Dies ist eine Listenoption.

FORMATIERUNGSOPTIONEN

Legt fest, welche Informationen zu jedem Paket angezeigt werden. Die folgenden Optionen schließen sich gegenseitig aus, d.h. es kann nur eine Option angegeben werden. Wenn keine Formatierungsoption angegeben ist, werden ausgewählte Pakete im Abfrageformat "%{full_nevra}" angezeigt.

    --conflicts
        Wie --qf "%{conflicts}", aber ohne Duplikate und zeilenweise sortiert.

    --depends
        Wie --qf "%{depends}", aber ohne Duplikate und zeilenweise sortiert.

    --enhances
        Wie --qf "%{enhances}", aber ohne Duplikate und zeilenweise sortiert.

    --files
        Wie --qf "%{files}", aber ohne Duplikate und zeilenweise sortiert.

    --obsoletes
        Wie --qf "%{obsoletes}", aber ohne Duplikate und zeilenweise sortiert.

    --provides
        Wie --qf "%{provides}", aber ohne Duplikate und zeilenweise sortiert.

    --recommends
        Wie --qf "%{recommends}", aber ohne Duplikate und zeilenweise sortiert.

    --requires
        Wie --qf "%{requires}", aber ohne Duplikate und zeilenweise sortiert.

    --requires-pre
        Wie --qf "%{requires_pre}", aber ohne Duplikate und zeilenweise sortiert.

    --sourcerpm
        Wie --qf "%{sourcerpm}", aber ohne Duplikate und zeilenweise sortiert.

    --suggests
        Wie --qf "%{suggests}", aber ohne Duplikate und zeilenweise sortiert.

    --supplements
        Wie --qf "%{supplements}", aber ohne Duplikate und zeilenweise sortiert.

    --location
        Wie --qf "%{location}", aber ohne Duplikate und zeilenweise sortiert.

    -i, --info
        zeigt detaillierte Informationen zum Paket an.

    --changelogs
        gibt die Änderungsprotokolle des Pakets aus.

    --querytags
        gibt verfügbare Schalter für --queryformat aus.

    --queryformat=Format
        legt das Anzeigeformat für Pakete fest. Die Format-Zeichenkette kann Schalter (%{<tag>}) enthalten, die durch entsprechende Attribute des Pakets ersetzt werden. Standard ist "%{full_nevra}". Die Format-Zeichenkette wird für jedes Paket erweitert und dedupliziert.

        * arch - Zeigt die Architektur des Pakets an.
        * buildtime - Zeigt den Bauzeitpunkt des Pakets in der Unix-Zeitrechnung an.
        * conflicts - Zeigt die Fähigkeiten an, zu denen das Paket im Konflikt steht. Wird durch Zeilenvorschübe getrennt.
        * debug_name - Zeigt den Namen des dem Paket zugehörigen Debuginfo-Pakets an.
        * depends - Zeigt die Fähigkeiten an, von denen das Paket abhängt, die es verbessert, empfiehlt, vorschlägt oder ergänzt. Wird durch Zeilenvorschübe getrennt.
        * description - Zeigt die Paketbeschreibung an.
        * downloadsize - Zeigt die Downloadgröße des Pakets an.
        * enhances - Zeigt die Fähigkeiten an, die das Paket verbessert. Wird durch Zeilenvorschübe getrennt.
        * epoch - Zeigt die Epoche des Pakets an.
        * evr - Zeigt das Quintupel Name-Epoche:Version-Veröffentlichung.Architektur des Pakets an. Epoche 0 wird dabei ausgelassen.
        * files - Zeigt die Dateien im Paket an. Wird durch Zeilenvorschübe getrennt.
        * from_repo - Zeigt die ID der Paketquelle an, aus der das Paket installiert wurde. Wird für nicht installierte Pakete leer gelassen.
        * full_nevra - Zeigt das Quintupel Name-Epoche:Version-Veröffentlichung.Architektur des Pakets an. Epoche 0 wird dabei nicht ausgelassen.
        * group - Zeigt die Gruppe des Pakets an. Dies ist keine Comps-Gruppe.
        * location - Zeigt den Ort des Pakets an.
        * installsize - Zeigt die Installationsgröße des Pakets an.
        * installtime - Zeigt den Installationszeitpunkt des Pakets an.
        * license - Zeigt die Lizenz des Pakets an.
        * name - Zeigt den Namen des Pakets an.
        * obsoletes - Zeigt die Fähigkeiten an, die das Paket als veraltet markiert. Wird durch Zeilenvorschübe getrennt.
        * packager - Zeigt die Person an, die das Paket gebaut hat.
        * prereq_ignoreinst - Zeigt die sicher zu entfernenden requires_pre-Abhängigkeiten eines installierten Pakets an. Wird bei nicht installierten Paketen leer gelassen. Wird durch Zeilenvorschübe getrennt.
        * provides - Zeigt die Fähigkeiten an, die das Paket bereitstellt. Wird durch Zeilenvorschübe getrennt.
        * reason - Zeigt den Grund dafür an, warum das Paket installiert wurde.
        * recommends - Zeigt die Fähigkeiten an, die das Paket empfiehlt. Wird durch Zeilenvorschübe getrennt.
        * regular_requires - Zeigt die vom Paket benötigten Fähigkeiten ohne dessen %pre-, %post-, %preun- und %postun-Abhängigkeiten an. Wird durch Zeilenvorschübe getrennt.
        * release - Zeigt die Veröffentlichung des Pakets an.
        * repoid - Zeigt die ID der Paketquelle an, in der sich das Paket befindet.
        * reponame - Zeigt den Namen der Paketquelle an, in der sich das Paket befindet.
        * requires - Zeigt die Fähigkeiten an, die das Paket benötigt (kombiniert regular_requires und requires_pre).
        * requires_pre - Zeigt für ein installiertes Paket die Fähigkeiten an, die es benötigt, um seine %pre-, %post-, %preun- und %postun-Skripte auszuführen. Für nicht installierte Pakete werden einfach die %pre- und $post-Abhängigkeiten angezeigt. Wird durch Zeilenvorschübe getrennt.
        * source_debug_name - Zeigt den Namen des Debuginfo-Pakets des Quell-RPMs des Pakets an.
        * source_name - Zeigt den Namen des Quell-RPMs des Pakets an.
        * sourcerpm - Zeigt das Quell-RPM des Pakets an.
        * suggests - Zeigt die Fähigkeiten an, die das Paket vorschlägt. Wird durch Zeilenvorschübe getrennt.
        * summary - Zeigt die Zusammenfassung des Pakets an.
        * supplements - Zeigt die Fähigkeiten an, die das Paket ergänzt. Wird durch Zeilenvorschübe getrennt.
        * url - Zeigt die URL des Pakets an.
        * vendor - Zeigt den Anbieter des Pakets an.
        * version - Zeigt die Version des Pakets an.

        Die Format-Zeichenkette kann auch \n enthalten, das in der Ausgabe durch ein Zeilenvorschubzeichen ersetzt wird.

BEISPIELE

    dnf5 repoquery /etc/koji.conf
        Listet Pakete auf, welche die angegebene Datei bereitstellen.

    dnf5 repoquery *http*
        Listet Pakete auf, die http in ihrem Namen enthalten.

    dnf5 repoquery --installed --security
        Listet installierte Pakete auf, die in irgendeinem Sicherheitshinweis enthalten sind.

SIEHE AUCH
        dnf5-advisory(8), Advisory-Befehl
        dnf5-leaves(8), Leaves-Befehl
        dnf5-specs(7), Muster-Spezifikation

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).